<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hc.business.mapper.NewsTagMapper">

    <resultMap type="newsTag" id="NewsTagMap">
        <result property="tagId" column="tag_id" jdbcType="INTEGER"/>
        <result property="tagName" column="tag_name" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        tag_id,
           tag_name
    </sql>

    <select id="queryAll" resultMap="NewsTagMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM news_tag
    </select>

</mapper>